Subject: RE: Why XML

From: "Hallam-Baker, Phillip" <[email-masked]>
Date: Tue, 22 Jun 2004 10:20:16 -0700

> However the angle bracket stuff is what most mail administrators will
> find themselves staring at when debugging mail deliverability
> problems.
> 
> That's my main reason for prefering SPF syntax; I just find it easier
> to read (visually less cluttered) than XML, and its simpler (less
> flexible) syntax is easier to parse visually, precisely because of the
> lack of nested structure.
> 
> Am I overestimating the extent to which MARID records will end up
> being written and read by hand by mail admins...?

Take a look at the records being discussed on this list. I don't 
have a clue what they mean unless I sit with the spec and work them
out, I just don't.

Sure they might look intuitive if you think that "ps -aux" is a
model of clarity in command line syntax, but even a UNIX sysadmin
can't say what the effect of that command is without knowing
which version of UNIX is running.